LINUX.ORG.RU

Глобальное недопонимание механизма поддержки модулей


0

0

Убрал в настройке ядра все подгружаемые модули, оставил только их поддержку. Ставлю драйвера Nvidia и при сборке оного говорит:

depmod: *** Unresolved symbols in /lib/modules/2.4.24george/kernel/drivers/block/rd.o depmod: *** Unresolved symbols in /lib/modules/2.4.24george/kernel/drivers/video/nvidia.o make: *** [package-install] Ошибка 1

Я понял, что первую скрипку в этом деле играет initrd. После сборки ядра создаю его с помомощью mkinitrd :

mkinitrd /boot/initrd2.4.24george 2.4.24george.

Но видно в чем-то я еще недохожу. Может быть, поэтому у меня и ALSA не ставится (см. вопрос ниже)


Re: Глобальное недопонимание механизма поддержки модулей

мож нада установить свежий module-init-tools?

dgeliko ★★ ()

Re: Глобальное недопонимание механизма поддержки модулей

>Убрал в настройке ядра все подгружаемые модули, оставил только их поддержку.

Я так понимаю, у тебя не сервер, где боятся, что хакер получит доступ и вставит свой модуль (это какого класса должен быть хакер).

>depmod: *** Unresolved symbols in /lib/modules/2.4.24george/kernel/drivers/block/rd.o depmod: *** Unresolved symbols in /lib/modules/2.4.24george/kernel/drivers/video/nvidia.o make:

Что характерно, пора обновлять glibc и gcc.

P.S. А initrd, чтобы ты знал, это сжатая fs, на которой лежат модули. Нужна в том случае, если поддержка винтов собирается модулем - эту штуку загрузчик может засосать в память и там уже ядро способно взять модуль и подключить винт. Твоя ошибка не имеет к initrd никакого отношения.

P.P.S. Чтобы что-то понимать, нужно читать документацию. Хоть изредка.

jackill ★★★★★ ()

Re: Re: Глобальное недопонимание механизма поддержки модулей

О том, что в initrd входят модули для поддержки винтов я читал, просто из прочитанного я не совсем понял, что туда входит еще.

Документацию стараюсь читать, хоть изредка ;-)

Кстати, подобные сообщения у меня выскакивают и при попытке установить драйвер моего controllerless conexant модема, и при установке драйвера для NVIDIA. Поэтому решил, что у меня проблемы глобальные.

С собой на флешке таскаю заархивированный /etc/, корень /proc и dmesg, так что можно ситуацию уточнить...

А дествительно ли необходимо обновить мою gcc (2.96)? Я просто пока боюсь крепко ввязываться в глубь.

gtyrin ()

Re: Re: Re: Глобальное недопонимание механизма поддержки модулей

Входит туда все, что в /lib/modules/версия_ядра

Что касается твоей gcc - смотри в свой дистрибутив и ставь оттуда последние gcc и glibc.

jackill ★★★★★ ()

Re: Re: Re: Re: Глобальное недопонимание механизма поддержки модулей

Но ведь RH7.3 уже стара и на ftp сайте в каталогах update я видел модули только за 2002год.

А как же теперешнее ? И как при установке gcc и glibc ухватить все пакеты (в одном сообщении форума я видел, что они тянут много зависимостей)?

gtyrin ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.